Subject: [hybi] CRIME attack and compression after multiplexing

From: Takeshi Yoshino <[email-masked]>
Date: Fri, 5 Oct 2012 11:17:22 +0900

If multiplexing and (deflate) compression are applied in this order,
WebSocket will be vulnerable to the CRIME attack, I think. Frame stream
after multiplexing contains AddChannelRequest blocks and they are
compressed by premessage-compress.

I'm planning to add texts to the extension specs to disallow deflate after
mux. For example
Sec-WebSocket-Extensions: mux, permessage-compress; method=deflate
must not be used over TLS by UAs like browsers where malicious scripts may
run.

Different from BEAST, masking doesn't help for this case.

Takeshi